export const API_QA_STATUS = {
  USER_PASS: 2,
  PASS: 1,
  FAIL: -1,
  PEND: 0,
  SKIP: -2
}

export const API_QA_STATUS_TEXT = {
  [API_QA_STATUS.USER_PASS]: '人为通过',
  [API_QA_STATUS.PASS]: '通过',
  [API_QA_STATUS.FAIL]: '失败',
  [API_QA_STATUS.PEND]: '等待',
  [API_QA_STATUS.SKIP]: '跳过'
}

export const API_QA_STATUS_ICON = {
  [API_QA_STATUS.USER_PASS]: 'check',
  [API_QA_STATUS.PASS]: 'check',
  [API_QA_STATUS.FAIL]: 'times',
  [API_QA_STATUS.PEND]: 'ellipsis-h',
  [API_QA_STATUS.SKIP]: 'minus'
}

export const API_QA_STATUS_ICON_COLOR = {
  [API_QA_STATUS.USER_PASS]: 'rgb(97, 203, 40)',
  [API_QA_STATUS.PASS]: 'rgb(97, 203, 40)',
  [API_QA_STATUS.FAIL]: 'rgb(242, 50, 68)',
  [API_QA_STATUS.PEND]: 'rgb(255, 216, 0)',
  [API_QA_STATUS.SKIP]: 'rgb(24, 138, 250)'
}

export const RUN_TIME_STATUS = {
  NOOP: 0,
  ING: 1,
  END: 2
}

export const RUN_TIME_STATUS_BTN_TEXT = {
  [RUN_TIME_STATUS.NOOP]: '开始',
  [RUN_TIME_STATUS.ING]: '进行中',
  [RUN_TIME_STATUS.END]: '开始'
}

export const RUN_TIME_STATUS_TEXT = {
  [RUN_TIME_STATUS.NOOP]: '空闲',
  [RUN_TIME_STATUS.ING]: '进行中',
  [RUN_TIME_STATUS.END]: '结束'
}

export const IS_DEV_BUILD_TYPE = process.env.HYEXT_BUILD_ENV === 'dev'

export const SUBMIT_API_URL = IS_DEV_BUILD_TYPE ? 'http://localhost:3000/api/qa/list' : 'http://esydoc.huya.info/api/qa/list'